Index: src/edu/ucsb/nceas/metacat/MetaCatServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/MetaCatServlet.java	(revision 4698)
@@ -78,6 +78,7 @@
 import edu.ucsb.nceas.metacat.service.DatabaseService;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.service.ServiceException;
+import edu.ucsb.nceas.metacat.service.ServiceService;
 import edu.ucsb.nceas.metacat.service.SessionService;
 import edu.ucsb.nceas.metacat.service.SkinPropertyService;
 import edu.ucsb.nceas.metacat.service.XMLSchemaService;
@@ -84,7 +85,7 @@
 import edu.ucsb.nceas.metacat.spatial.SpatialHarvester;
 import edu.ucsb.nceas.metacat.spatial.SpatialQuery;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.RequestUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.metacat.util.SessionData;
@@ -163,7 +164,6 @@
     public static final String NONAMESPACELOCATION = ":noNamespaceSchemaLocation";
     public static final String EML2KEYWORD = ":eml";
     public static final String XMLFORMAT = "xml";
-    private static final String CONFIG_DIR = "WEB-INF";
     private static final String FALSE = "false";
     private static final String TRUE  = "true";
     
@@ -176,27 +176,25 @@
             super.init(config);
             
             ServletContext context = config.getServletContext();
-             
+            
+            ServiceService serviceService = ServiceService.getInstance(context);
+            logMetacat.debug("ServiceService singleton created " + serviceService);
+            
             // Initialize the properties file
-            String dirPath = context.getRealPath(CONFIG_DIR);
+            String dirPath = ServiceService.getRealConfigDir();
             
             String LOG_CONFIG_NAME = dirPath + "/log4j.properties";
             PropertyConfigurator.configureAndWatch(LOG_CONFIG_NAME);
             
-            PropertyService propertyService = PropertyService.getInstance(dirPath);
-            logMetacat.debug("PropertyService singleton created " + propertyService);
+            // Register preliminary services
+            ServiceService.registerService("PropertyService", PropertyService.getInstance());
+            ServiceService.registerService("SkinPropertyService", SkinPropertyService.getInstance());
+            ServiceService.registerService("SessionService", SessionService.getInstance()); 
             
-            SkinPropertyService skinPropertyService = SkinPropertyService.getInstance(context);
-            logMetacat.debug("PropertyService singleton created " + skinPropertyService);
-            
-            SessionService sessionService = SessionService.getInstance();
-            logMetacat.debug("SessionService singleton created " + sessionService);
-            
-            
     		// Check to see if the user has requested to bypass configuration 
             // (dev option) and check see if metacat has been configured.
     		// If both are false then stop the initialization
-            if (!MetaCatUtil.bypassConfiguration() && !MetaCatUtil.isMetacatConfigured()) {
+            if (!MetacatUtil.bypassConfiguration() && !MetacatUtil.isMetacatConfigured()) {
             	return;
             }  
             
@@ -207,6 +205,11 @@
         		"Service problem while intializing MetaCat Servlet: " + se.getMessage();
             logMetacat.error(errorMessage);
             throw new ServletException(errorMessage);
+        } catch (UtilException ue) {
+        	String errorMessage = 
+        		"Utility problem while intializing MetaCat Servlet: " + ue.getMessage();
+            logMetacat.error(errorMessage);
+            throw new ServletException(errorMessage);
         } 
     }
 
@@ -221,16 +224,14 @@
 	public void initSecondHalf(ServletContext context) throws ServletException {
 		Logger logMetacat = Logger.getLogger(MetaCatServlet.class);
 
-		try {
-            DatabaseService databaseService = DatabaseService.getInstance();
-            logMetacat.debug("DatabaseService singleton created " + databaseService);
+		try {			
+			ServiceService.registerService("DatabaseService", DatabaseService.getInstance());
 			
 			// initialize DBConnection pool
 			DBConnectionPool connPool = DBConnectionPool.getInstance();
 			logMetacat.debug("DBConnection pool initialized: " + connPool.toString());
 			
-			XMLSchemaService xmlService = XMLSchemaService.getInstance();
-			logMetacat.debug("XMLService initialized: " + xmlService.toString());
+			ServiceService.registerService("XMLSchemaService", XMLSchemaService.getInstance());
 
 			// check if eml201 document were corrected or not. if not, correct
 			// eml201 documents.
@@ -321,7 +322,12 @@
 					+ gpe.getMessage();
 			logMetacat.error(errorMessage);
 			throw new ServletException(errorMessage);
-		}
+		} catch (ServiceException se) {
+			String errorMessage = "Service problem while intializing MetaCat Servlet: "
+				+ se.getMessage();
+			logMetacat.error(errorMessage);
+			throw new ServletException(errorMessage);
+		} 
 	}
     
     /**
@@ -358,19 +364,19 @@
         Logger logMetacat = Logger.getLogger(MetaCatServlet.class);
         
         try {
-        	MetaCatUtil.pathsForIndexing
-                = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+        	MetacatUtil.pathsForIndexing
+                = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
         
-        	MetaCatUtil.pathsForIndexing = 
-        		MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
+        	MetacatUtil.pathsForIndexing = 
+        		MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexPaths"));
         }
         catch (PropertyNotFoundException pnfe) {
-        	MetaCatUtil.pathsForIndexing = null;
+        	MetacatUtil.pathsForIndexing = null;
             logMetacat.error("Could not find index paths.  Setting " 
-            		+ "MetaCatUtil.pathsForIndexing to null: " + pnfe.getMessage());
+            		+ "MetacatUtil.pathsForIndexing to null: " + pnfe.getMessage());
         }
         
-        if (MetaCatUtil.pathsForIndexing != null) {
+        if (MetacatUtil.pathsForIndexing != null) {
             
             logMetacat.debug("Indexing paths specified in metacat.properties....");
             
@@ -380,9 +386,9 @@
             PreparedStatement pstmt1 = null;
             ResultSet rs = null;
             
-            for (int i = 0; i < MetaCatUtil.pathsForIndexing.size(); i++) {
+            for (int i = 0; i < MetacatUtil.pathsForIndexing.size(); i++) {
                 logMetacat.debug("Checking if '"
-                        + (String) MetaCatUtil.pathsForIndexing.elementAt(i)
+                        + (String) MetacatUtil.pathsForIndexing.elementAt(i)
                         + "' is indexed.... ");
                 
                 try {
@@ -393,7 +399,7 @@
                     
                     pstmt = conn.prepareStatement(
                             "SELECT * FROM xml_path_index " + "WHERE path = ?");
-                    pstmt.setString(1, (String) MetaCatUtil.pathsForIndexing
+                    pstmt.setString(1, (String) MetacatUtil.pathsForIndexing
                             .elementAt(i));
                     
                     pstmt.execute();
@@ -407,9 +413,9 @@
                         
                         logMetacat.debug(
                                 "Inserting following path in xml_path_index: "
-                                + (String)MetaCatUtil.pathsForIndexing
+                                + (String)MetacatUtil.pathsForIndexing
                                 .elementAt(i));
-                        if(((String)MetaCatUtil.pathsForIndexing.elementAt(i)).indexOf("@")<0){
+                        if(((String)MetacatUtil.pathsForIndexing.elementAt(i)).indexOf("@")<0){
                             pstmt = conn.prepareStatement("SELECT DISTINCT n.docid, "
                                     + "n.nodedata, n.nodedatanumerical, n.parentnodeid"
                                     + " FROM xml_nodes n, xml_index i WHERE"
@@ -422,7 +428,7 @@
                                     + " i.path = ? and n.nodeid=i.nodeid and"
                                     + " n.nodetype LIKE 'ATTRIBUTE' order by n.parentnodeid");
                         }
-                        pstmt.setString(1, (String) MetaCatUtil.
+                        pstmt.setString(1, (String) MetacatUtil.
                                 pathsForIndexing.elementAt(i));
                         pstmt.execute();
                         rs = pstmt.getResultSet();
@@ -430,7 +436,7 @@
                         int count = 0;
                         logMetacat.debug(
                                 "Executed the select statement for: "
-                                + (String) MetaCatUtil.pathsForIndexing
+                                + (String) MetacatUtil.pathsForIndexing
                                 .elementAt(i));
                         
                         try {
@@ -449,7 +455,7 @@
                                             + " VALUES (?, ?, ?, ?, ?)");
                                     
                                     pstmt1.setString(1, docid);
-                                    pstmt1.setString(2, (String) MetaCatUtil.
+                                    pstmt1.setString(2, (String) MetacatUtil.
                                             pathsForIndexing.elementAt(i));
                                     pstmt1.setString(3, nodedata);
                                     pstmt1.setFloat(4, nodedatanumerical);
@@ -473,7 +479,7 @@
                         
                         logMetacat.info("Indexed " + count
                                 + " records from xml_nodes for '"
-                                + (String) MetaCatUtil.pathsForIndexing.elementAt(i)
+                                + (String) MetacatUtil.pathsForIndexing.elementAt(i)
                                 + "'");
                         
                     } else {
@@ -514,16 +520,14 @@
 		
 		// Each time metacat is called, check to see if metacat has been 
 		// configured. If not then forward to the administration servlet
-		if (!MetaCatUtil.isMetacatConfigured()) {
+		if (!MetacatUtil.isMetacatConfigured()) {
 			RequestUtil.forwardRequest(request, response, "/admin?action=configure");
 			return;
 		}
 
 		// if we get here, metacat is configured.  If we have not completed the 
-		// second half of the intialization, do so now.  This allows us to initially
+		// second half of the initialization, do so now.  This allows us to initially
 		// configure metacat without a restart.
-		// TODO MCD eventually put in more intelligent reinitialization code so we
-		// can change (some) properties without restarting metacat.
 		if (!fullyInitialized) {
 			initSecondHalf(request.getSession().getServletContext());
 		}
@@ -846,7 +850,7 @@
 					 * out.println(" Ref: " + u.getRef()); String pquery =
 					 * u.getQuery(); out.println(" Query: " + pquery);
 					 * out.println(" Params: "); if (pquery != null) { Hashtable
-					 * qparams = MetaCatUtil.parseQuery(u.getQuery()); for
+					 * qparams = MetacatUtil.parseQuery(u.getQuery()); for
 					 * (Enumeration en = qparams.keys(); en .hasMoreElements();) {
 					 * String pname = (String) en.nextElement(); String pvalue =
 					 * (String) qparams.get(pname); out.println(" " + pname + ": " +
@@ -864,7 +868,7 @@
 					// TODO MCD this interface is for testing.  It should go through a 
 					// ServiceService class and only work for an admin user.  Move to the
 					// MetacatAdminServlet
-					XMLSchemaService.getInstance().refresh();
+					ServiceService.refreshService("XMLSchemaService");
 					return;
 				}else {
 					PrintWriter out = response.getWriter();
@@ -891,6 +895,10 @@
 			String errorString = "Utility error: " + ue.getMessage();
 			logMetacat.error(errorString);
 			throw new ServletException(errorString);
+		} catch (ServiceException ue) {
+			String errorString = "Service error: " + ue.getMessage();
+			logMetacat.error(errorString);
+			throw new ServletException(errorString);
 		}
 	}
     
@@ -1221,10 +1229,10 @@
         Logger logMetacat = Logger.getLogger(MetaCatServlet.class);
         logMetacat.warn("Total search time for action 'squery': "
                 + (outPutTime - startTime));
-        MetaCatUtil.writeDebugToFile("---------------------------------------------------------------------------------"+
+        MetacatUtil.writeDebugToFile("---------------------------------------------------------------------------------"+
                 "-------------------------------------------------------------------------------Total search time for "
                 + (outPutTime - startTime));
-        MetaCatUtil.writeDebugToDelimiteredFile(" "+ (outPutTime - startTime), true);
+        MetacatUtil.writeDebugToDelimiteredFile(" "+ (outPutTime - startTime), true);
     }
     
     /**
@@ -1250,10 +1258,10 @@
         Logger logMetacat = Logger.getLogger(MetaCatServlet.class);
         logMetacat.warn("Total search time for action 'query': "
                 + (outPutTime - startTime));
-        MetaCatUtil.writeDebugToFile("---------------------------------------------------------------------------------"+
+        MetacatUtil.writeDebugToFile("---------------------------------------------------------------------------------"+
                 "-------------------------------------------------------------------------------Total search time is "
                 + (outPutTime - startTime));
-        MetaCatUtil.writeDebugToDelimiteredFile(" "+ (outPutTime - startTime), true);
+        MetacatUtil.writeDebugToDelimiteredFile(" "+ (outPutTime - startTime), true);
         
         //handleSQuery(out, params, response,user, groups, sessionid);
     }
@@ -1383,7 +1391,7 @@
                 throw new Exception("You didn't specify requested inlinedataid"); }
             
             // check for permission
-            docId = MetaCatUtil
+            docId = MetacatUtil
                     .getDocIdWithoutRevFromInlineDataID(inlineDataId);
             PermissionController controller = new PermissionController(docId);
             // check top level read permission
@@ -1398,7 +1406,7 @@
                     Hashtable<String,String> unReadableInlineDataList =
                             PermissionController.getUnReadableInlineDataIdList(docId,
                             user, groups, false);
-                    String inlineDataIdWithoutRev = MetaCatUtil.getInlineDataIdWithoutRev(inlineDataId);
+                    String inlineDataIdWithoutRev = MetacatUtil.getInlineDataIdWithoutRev(inlineDataId);
                     if (unReadableInlineDataList.containsValue(inlineDataIdWithoutRev)) {
                         throw new Exception("User " + user
                                 + " doesn't have permission " + " to read inlinedata "
@@ -1457,57 +1465,6 @@
         }
     }
     
-//    /*
-//     * Get the nodeid from xml_nodes for the inlinedataid
-//     */
-//    private long getInlineDataNodeId(String inLineDataId, String docId)
-//    throws SQLException {
-//        Logger logMetacat = Logger.getLogger(MetaCatServlet.class);
-//        long nodeId = 0;
-//        String INLINE = "inline";
-//        boolean hasRow;
-//        PreparedStatement pStmt = null;
-//        DBConnection conn = null;
-//        int serialNumber = -1;
-//        String sql = "SELECT nodeid FROM xml_nodes WHERE docid=? AND nodedata=? "
-//                + "AND nodetype='TEXT' AND parentnodeid IN "
-//                + "(SELECT nodeid FROM xml_nodes WHERE docid=? AND "
-//                + "nodetype='ELEMENT' AND nodename='" + INLINE + "')";
-//        
-//        try {
-//            //check out DBConnection
-//            conn = DBConnectionPool
-//                    .getDBConnection("AccessControlList.isAllowFirst");
-//            serialNumber = conn.getCheckOutSerialNumber();
-//            
-//            pStmt = conn.prepareStatement(sql);
-//            //bind value
-//            pStmt.setString(1, docId);//docid
-//            pStmt.setString(2, inLineDataId);//inlinedataid
-//            pStmt.setString(3, docId);
-//            // excute query
-//            pStmt.execute();
-//            ResultSet rs = pStmt.getResultSet();
-//            hasRow = rs.next();
-//            // get result
-//            if (hasRow) {
-//                nodeId = rs.getLong(1);
-//            }//if
-//            
-//        } catch (SQLException e) {
-//            throw e;
-//        } finally {
-//            try {
-//                pStmt.close();
-//            } finally {
-//                DBConnectionPool.returnDBConnection(conn, serialNumber);
-//            }
-//        }
-//        logMetacat.debug("The nodeid for inlinedataid " + inLineDataId
-//                + " is: " + nodeId);
-//        return nodeId;
-//    }
-    
     /**
      * Handle the "read" request of metadata/data files from Metacat or any
      * files from Internet; transformed metadata XML document into HTML
@@ -1566,7 +1523,7 @@
                 try {
                     
                     URL murl = new URL(docs[i]);
-                    Hashtable<String,String> murlQueryStr = MetaCatUtil.parseQuery(
+                    Hashtable<String,String> murlQueryStr = MetacatUtil.parseQuery(
                             murl.getQuery());
                     // case docid="http://.../?docid=aaa"
                     // or docid="metacat://.../?docid=bbb"
@@ -2369,7 +2326,7 @@
                     // Delete from spatial cache if runningSpatialOption
                     if ( PropertyService.getProperty("spatial.runSpatialOption").equals("true") ) {
                         SpatialHarvester sh = new SpatialHarvester();
-                        sh.addToDeleteQue( MetaCatUtil.getSmartDocId( docid[0] ) );
+                        sh.addToDeleteQue( MetacatUtil.getSmartDocId( docid[0] ) );
                         sh.destroy();
                     }
                     
@@ -2893,7 +2850,7 @@
                     String fileTempLocation;
                     
                     // the filePart will be clobbered on the next loop, save to disk
-                    fileTempLocation = MetaCatUtil.writeTempFile(filePart, fileName);
+                    fileTempLocation = MetacatUtil.writeTempFile(filePart, fileName);
                     fileList.put(name, fileTempLocation);
                     fileList.put("filename", fileName);
                     fileList.put("name", fileTempLocation);
@@ -3064,7 +3021,7 @@
                     // copy file to desired output location
                     try 
                     {
-                        MetaCatUtil.copyFile(tempFileName, newFileName);
+                        MetacatUtil.copyFile(tempFileName, newFileName);
                     } 
                     catch (IOException ioe) 
                     {
@@ -3187,7 +3144,7 @@
                             if ( fileExists == false ) {
                                 // copy file to desired output location
                                 try {
-                                    MetaCatUtil.copyFile(tempFileName, newFileName);
+                                    MetacatUtil.copyFile(tempFileName, newFileName);
                                 } catch (IOException ioe) {
                                     logMetacat.error("IO Exception copying file: " +
                                             ioe.getMessage());
@@ -3344,7 +3301,7 @@
         Vector<String> packageSet = null;
         try {
         	packageSet = 
-        		MetaCatUtil.getOptionList(PropertyService.getProperty("xml.packagedoctypeset"));
+        		MetacatUtil.getOptionList(PropertyService.getProperty("xml.packagedoctypeset"));
         } catch (PropertyNotFoundException pnfe) {
         	logMetacat.error("Could not find package doctype set.  Setting to null: " 
         			+ pnfe.getMessage());
@@ -3464,7 +3421,7 @@
         int serialNumber = -1;
         
         // get rid of revision if access number has
-        docId = MetaCatUtil.getDocIdFromString(accessionNumber);
+        docId = MetacatUtil.getDocIdFromString(accessionNumber);
         try {
             //check out DBConnection
             conn = DBConnectionPool
Index: src/edu/ucsb/nceas/metacat/ContentTypeProvider.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ContentTypeProvider.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/ContentTypeProvider.java	(revision 4698)
@@ -57,7 +57,7 @@
 import org.ecoinformatics.eml.EMLParser;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 /**
  * This class will figure out which content type it is for a given data file.
@@ -121,7 +121,7 @@
    */
   public ContentTypeProvider(String docIdWithRevision)
   {
-    dataFileId = MetaCatUtil.getDocIdFromString(docIdWithRevision);
+    dataFileId = MetacatUtil.getDocIdFromString(docIdWithRevision);
     //get relative doclist for data file and package type
     Vector docLists = null;
     docLists = getRelativeDocIdList(dataFileId);
@@ -342,10 +342,10 @@
           if (URLData.indexOf(DBSAXHandler.ECOGRID) != -1 )
           {
             // Get docid from url
-            String docId = MetaCatUtil.
+            String docId = MetacatUtil.
                                getAccessionNumberFromEcogridIdentifier(URLData);
             // Get rid of revision
-            docId = MetaCatUtil.getDocIdFromAccessionNumber(docId);
+            docId = MetacatUtil.getDocIdFromAccessionNumber(docId);
             logMetacat.info("docid from url element in xml is: " +
                                      docId);
             //if this docid equals target one, we find it
@@ -403,7 +403,7 @@
       }//while
 
       // set up data package type
-      if ((MetaCatUtil.getOptionList(PropertyService.getProperty("xml.packagedoctype"))).
+      if ((MetacatUtil.getOptionList(PropertyService.getProperty("xml.packagedoctype"))).
                                      contains(packType))
       {
         //this is beta4 or beta6 version
@@ -410,7 +410,7 @@
         logMetacat.warn("This is beta package");
         packageType = BETA;
       }
-      else if ((MetaCatUtil.getOptionList
+      else if ((MetacatUtil.getOptionList
                (PropertyService.getProperty("xml.eml2_0_0namespace"))).contains(packType))
       {
         // this eml 2 document
@@ -417,7 +417,7 @@
         logMetacat.warn("This is EML2.0.0 package");
         packageType = EML2;
       }
-      else if ((MetaCatUtil.getOptionList
+      else if ((MetacatUtil.getOptionList
                (PropertyService.getProperty("xml.eml2_0_1namespace"))).contains(packType))
       {
         // this eml 2 document
@@ -503,7 +503,7 @@
         String packType = rs.getString(1);
         String targetId  = rs.getString(2);
         // find physical document
-        if ((MetaCatUtil.getOptionList(PropertyService.getProperty(targetType))).
+        if ((MetacatUtil.getOptionList(PropertyService.getProperty(targetType))).
                                      contains(packType))
        {
          // assign physical document and jump out the while loop
Index: src/edu/ucsb/nceas/metacat/IndexingTimerTask.java
===================================================================
--- src/edu/ucsb/nceas/metacat/IndexingTimerTask.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/IndexingTimerTask.java	(revision 4698)
@@ -35,7 +35,7 @@
 
 import edu.ucsb.nceas.metacat.service.DatabaseService;
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 
 import org.apache.log4j.Logger;
 
@@ -60,7 +60,7 @@
 	    		
 	    		dbConn = DBConnectionPool.getDBConnection("IndexingThread");
 	    		serialNumber = dbConn.getCheckOutSerialNumber();
-	            Vector indexNamespaces = MetaCatUtil.getOptionList(PropertyService.getProperty("xml.indexNamespaces"));
+	            Vector indexNamespaces = MetacatUtil.getOptionList(PropertyService.getProperty("xml.indexNamespaces"));
 	            String nonJoinCriteria = "b.docid is NULL";
 	    		boolean first = true;
 
Index: src/edu/ucsb/nceas/metacat/PermissionController.java
===================================================================
--- src/edu/ucsb/nceas/metacat/PermissionController.java	(revision 4697)
+++ src/edu/ucsb/nceas/metacat/PermissionController.java	(revision 4698)
@@ -37,7 +37,7 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.util.MetaCatUtil;
+import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 public class PermissionController
@@ -59,7 +59,7 @@
    public PermissionController(String myDocid) throws McdbException
    {
      // Get rid of rev number
-     docId = MetaCatUtil.getSmartDocId(myDocid);
+     docId = MetacatUtil.getSmartDocId(myDocid);
      //hasSubTreeAccessControl = checkSubTreeAccessControl();
    }
 
@@ -76,7 +76,7 @@
      }
      else
      {
-         docId = MetaCatUtil.getDocIdFromAccessionNumber(myDocid);
+         docId = MetacatUtil.getDocIdFromAccessionNumber(myDocid);
      }
    }
 
@@ -431,7 +431,7 @@
 	 */
 	private boolean isAccessDocument(String docId) throws SQLException {
 		// detele the rev number if docid contains it
-		docId = MetaCatUtil.getDocIdFromString(docId);
+		docId = MetacatUtil.getDocIdFromString(docId);
 		PreparedStatement pStmt = null;
 		DBConnection conn = null;
 		int serialNumber = -1;
@@ -453,7 +453,7 @@
 
 			// if it is an access document
 			if (doctype != null
-					&& ((MetaCatUtil.getOptionList(PropertyService
+					&& ((MetacatUtil.getOptionList(PropertyService
 							.getProperty("xml.accessdoctype")).contains(doctype)))) {
 
 				return true;
@@ -1106,11 +1106,11 @@
             {
                 logMetacat.info("Put subtree id " + subTreeId +
                                          " and " + "inline data file name " +
-                                         MetaCatUtil.
+                                         MetacatUtil.
                                          getInlineDataIdWithoutRev(fileId) +
                                          " into " + "un" + permission +
                                          " hash");
-                unAccessibleIdList.put(subTreeId, MetaCatUtil.
+                unAccessibleIdList.put(subTreeId, MetacatUtil.
                                       getInlineDataIdWithoutRev(fileId));
             }
         }
